"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCodeAnalysisAndParseResults = void 0;
const code_client_1 = require("@snyk/code-client");
const api_token_1 = require("../api-token");
const config = require("../config");
const spinner = require("../spinner");
// codeClient.emitter.on('scanFilesProgress', (processed: number) => {
//   console.log(`Indexed ${processed} files`);
// });
// /** Bundle upload process is started with provided data */
// codeClient.emitter.on(
//   'uploadBundleProgress',
//   (processed: number, total: number) => {
//     console.log(`Upload bundle progress: ${processed}/${total}`);
//   },
// );
// /** Receives an error object and logs an error message */
// codeClient.emitter.on('sendError', (error) => {
//   console.log(error);
// });
async function getCodeAnalysisAndParseResults(spinnerLbl, root, options) {
    await spinner.clear(spinnerLbl)();
    await spinner(spinnerLbl);
    return await getCodeAnalysis(root, options);
}
exports.getCodeAnalysisAndParseResults = getCodeAnalysisAndParseResults;
async function getCodeAnalysis(root, options) {
    const baseURL = config.SNYKCODE_PROXY;
    const sessionToken = api_token_1.api();
    const includeLint = false;
    const severityLevel = options.severityThreshold
        ? severityToAnalysisSeverity(options.severityThreshold)
        : code_client_1.AnalysisSeverity.info;
    const paths = [root];
    const symlinksEnabled = false;
    const maxPayload = undefined;
    const defaultFileIgnores = undefined;
    const sarif = true;
    const result = await code_client_1.analyzeFolders(baseURL, sessionToken, includeLint, severityLevel, paths, symlinksEnabled, maxPayload, defaultFileIgnores, sarif);
    return result.sarifResults;
}
function severityToAnalysisSeverity(severity) {
    const severityLevel = {
        low: 1,
        medium: 2,
        high: 3,
    };
    return severityLevel[severity];
}
//# sourceMappingURL=run-code-test.js.map